#!/bin/bash

GAMEDIR=`dirname ${0}`

cd ${GAMEDIR}

[ "XXX${1}" == "XXXquiet" ] && (
	TERM=noterm
	shift
)

NORMTERM=xterm

which xterm &> /dev/null && NORMTERM=`which xterm`

ps aux | grep ${USER} | grep gnome-session && which gnome-terminal && NORMTERM=`which gnome-terminal` && OPTS="--working-directory=${GAMEDIR}" &> /dev/null

[ "XXX${TERM}" != "XXXdumb" ] && [ "XXX${TERM}" != "XXXlinux" ] && HASTERM="true"
[ "XXX${DISPLAY}" != "XXX" ] && HASDISPLAY="true"

[ "XXX${HASTERM}" == "XXX" ] && [ "XXX${HASDISPLAY}" != "XXX" ] && (
	[ "XXX${COLORTERM}" != "XXX" ] && (
		${COLORTERM} -e 'make && src/gemhun | less'
	) || (
		${NORMTERM} -e 'make && src/gemhun | less' ${OPTS}
	)
) || (
	make && src/gemhun
)

exit $?

