#include "keyboard.h"

void Keyboard::Init ()
{
	ResetToDefaultsLeft () ;
	ResetToDefaultsRight () ;
}

void Keyboard::ResetToDefaultsLeft ()
{
	Left [ KEY_UP ]			= SDLK_w ;
	Left [ KEY_DOWN ]		= SDLK_s ;
	Left [ KEY_LEFT ]		= SDLK_a ;
	Left [ KEY_RIGHT ]		= SDLK_d ;
	Left [ KEY_FIRE ]		= SDLK_SPACE ;
}

void Keyboard::ResetToDefaultsRight ()
{
	Right [ KEY_UP ]		= SDLK_UP ;
	Right [ KEY_DOWN ]		= SDLK_DOWN ;
	Right [ KEY_LEFT ]		= SDLK_LEFT ;
	Right [ KEY_RIGHT ]		= SDLK_RIGHT ;
	Right [ KEY_FIRE ]		= SDLK_RETURN ;
}

SDLKey Keyboard::Left_up_key ()
{
	return Left [ KEY_UP ] ;
}

SDLKey Keyboard::Left_down_key ()
{
	return Left [ KEY_DOWN ] ;
}

SDLKey Keyboard::Left_left_key ()
{
	return Left [ KEY_LEFT ] ;
}

SDLKey Keyboard::Left_right_key ()
{
	return Left [ KEY_RIGHT ] ;
}

SDLKey Keyboard::Left_fire_key ()
{
	return Left [ KEY_FIRE ] ;
}

SDLKey Keyboard::Right_up_key ()
{
	return Right [ KEY_UP ] ;
}

SDLKey Keyboard::Right_down_key ()
{
	return Right [ KEY_DOWN ] ;
}

SDLKey Keyboard::Right_left_key ()
{
	return Right [ KEY_LEFT ] ;
}

SDLKey Keyboard::Right_right_key ()
{
	return Right [ KEY_RIGHT ] ;
}

SDLKey Keyboard::Right_fire_key ()
{
	return Right [ KEY_FIRE ] ;
}

void Keyboard::Quit ()
{
	
}
